permissions
Get User Roles
List the roles assigned to a specific user.
The authenticated user must have user-management permission in the tenant.
Path Parameters
- tenant_id (UUID): The UUID of the tenant
- user_id (UUID): The UUID of the user whose roles to list (find user ids via GET /api/v1/permissions/tenants//users)
Response
Returns a JSON list of roles: [].
Error Codes
- 403 Forbidden: Caller lacks user-management permission in the tenant
GET
Get User Roles
Previous
Get Users In TenantList all users in a tenant, with their roles.
The authenticated user must be the tenant owner or have user-management
permission (e.g. Admin role) in the tenant.
## Path Parameters
- **tenant_id** (UUID): The UUID of the tenant (find yours via GET /api/v1/permissions/tenants/me)
## Response
Returns a JSON list of users: [{"id", "email", "roles": [{"id", "name"}]}].
## Error Codes
- **403 Forbidden**: Caller lacks user-management permission in the tenant
Next
Get User Roles